package pay

import (
	"fmt"
	"testing"
	"time"
)

func TestWxSDKPay(t *testing.T) {
	WxSDKPay(55191926, "元气森林")

}

func TestTransfer(t *testing.T) {
	//Transfer(400,"ohuHh4riVVPxwKHrYHsWwZRpxVMk")
}

// 生成随机订单号
func generateRandomOrderNumber() string {
	currentDate := time.Now().Format("20060102")
	tradeNO := "sale" + currentDate + RandomNumString(10000000, 99999999)
	return tradeNO
}

// 支付
func TestHmJsPayBToCOrder(t *testing.T) {
	orderId := generateRandomOrderNumber()

	fmt.Println("orderId:", orderId)
	totalFee := 0.01
	authCode := "6264900646139788518"
	notifyUrl := "https://dev.switch.deovo.com:8004/api/v1/wxpay/notice"

	order, err := HmJsPayBToCOrder(orderId, totalFee, authCode, notifyUrl)
	if err != nil {
		fmt.Println("err:", err)
	}

	fmt.Println("order:", order)
}

// 查询
func TestHmQueryOrder(t *testing.T) {
	orderId := "sale2023122225067733"

	order, err := HmQueryOrder(orderId)
	if err != nil {
		fmt.Println("err:", err)
	}

	fmt.Println("order:", order)
}

// 撤销
func TestHmCancelOrder(t *testing.T) {
	orderId := "sale2023122225067733"

	order, err := HmCancelOrder(orderId)
	if err != nil {
		fmt.Println("err:", err)
	}

	fmt.Println("order:", order)
}
