// Package docs Code generated by swaggo/swag. DO NOT EDIT
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/cashier/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "新增收付款账号",
                "parameters": [
                    {
                        "description": "新增收付款账号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierCreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "删除收付款账号",
                "parameters": [
                    {
                        "description": "删除收付款账号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierDetailRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "查询收付款账号详情",
                "parameters": [
                    {
                        "description": "查询收付款账号详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierDetailRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCashierDetail"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "编辑收付款账号",
                "parameters": [
                    {
                        "description": "编辑收付款账号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierEditRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/cashier/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "收付款账号设置"
                ],
                "summary": "查询收付款账号列表",
                "parameters": [
                    {
                        "description": "查询收付款账号列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CashierListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCashierListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/category/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "创建分类",
                "parameters": [
                    {
                        "description": "商品分类创建模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CreateCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/delete": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "删除分类",
                "parameters": [
                    {
                        "description": "删除分类请求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.DeleteCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/display": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "隐藏或展示分类",
                "parameters": [
                    {
                        "description": "隐藏或展示分类请求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CategoryDisplayRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/import_category": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "导入商品分类",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/category/import_category_view": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "导入商品分类预览",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.CategoryExcel"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/category/list": {
            "post": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "description": "分类列表请求模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CategoryListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.CategoryModel"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/category/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品分类"
                ],
                "summary": "编辑分类",
                "parameters": [
                    {
                        "description": "商品分类编辑模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.UpdateCategoryRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Category"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "新增商品",
                "parameters": [
                    {
                        "description": "商品新增模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CommodityCreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodity"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "删除商品",
                "parameters": [
                    {
                        "description": "删除商品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CommodityDelRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "商品详情",
                "parameters": [
                    {
                        "description": "商品详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CommodityDetailRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodity"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "编辑商品",
                "parameters": [
                    {
                        "description": "编辑商品模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.CommodityEditRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodity"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/import_commodity": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "导入商品资料",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/import_commodity_view": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "导入商品资料预览",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.CommodityExcel"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/commodity/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "商品资料"
                ],
                "summary": "商品列表",
                "parameters": [
                    {
                        "description": "商品列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodityListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpCommodityListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/config": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/配置"
                ],
                "summary": "修改配置",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysConfig"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/config/{configId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/配置"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "配置编码",
                        "name": "configId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/配置"
                ],
                "summary": "删除配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configId",
                        "name": "configId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/configKey/{configKey}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/配置"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/configList": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/配置"
                ],
                "summary": "配置列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "configName",
                        "name": "configName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "configType",
                        "name": "configType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/db/columns/page": {
            "get": {
                "description": "数据库表列分页列表 / database table column page list",
                "tags": [
                    "system/工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/db/tables/page": {
            "get": {
                "description": "数据库表分页列表 / database table page list",
                "tags": [
                    "system/工具"
                ],
                "summary": "分页列表数据 / page list data",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dept": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/部门"
                ],
                "summary": "修改部门",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysDept"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/部门"
                ],
                "summary": "添加部门",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysDept"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dept/{deptId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/部门"
                ],
                "summary": "部门列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "deptId",
                        "name": "deptId",
                        "in": "path"
                    },
                    {
                        "type": "string",
                        "description": "position",
                        "name": "position",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dept/{id}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/部门"
                ],
                "summary": "删除部门",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/deptList": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "分页列表",
                "tags": [
                    "system/部门"
                ],
                "summary": "分页部门列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "name",
                        "name": "name",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "position",
                        "name": "position",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典数据"
                ],
                "summary": "修改字典数据",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典数据"
                ],
                "summary": "添加字典数据",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data/list": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "字典数据列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/data/{dictCode}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "通过编码获取字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典编码",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "删除字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/databyType/{dictType}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典数据"
                ],
                "summary": "通过字典类型获取字典数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典类型"
                ],
                "summary": "修改字典类型",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/字典类型"
                ],
                "summary": "添加字典类型",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.DictType"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type/list": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典类型"
                ],
                "summary": "字典类型列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "dictName",
                        "name": "dictName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Page"
                        }
                    }
                }
            }
        },
        "/api/v1/dict/type/{dictId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/字典类型"
                ],
                "summary": "通过字典id获取字典类型",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "字典类型编码",
                        "name": "dictId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/字典类型"
                ],
                "summary": "删除字典类型",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "dictId",
                        "name": "dictId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/add_invoice": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "开发票",
                "parameters": [
                    {
                        "description": "开发票模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderAddInvoiceReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/audit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "审核零售订单",
                "parameters": [
                    {
                        "description": "审核零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderAuditReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "新建零售订单",
                "parameters": [
                    {
                        "description": "新建零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/delete": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "删除零售订单",
                "parameters": [
                    {
                        "description": "删除零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/edit": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "编辑零售订单",
                "parameters": [
                    {
                        "description": "编辑零售订单模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderCreateReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "查询零售订单列表",
                "parameters": [
                    {
                        "description": "查询零售订单列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/pay": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "收款",
                "parameters": [
                    {
                        "description": "收款模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderPayReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderPayResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/query_pay_status": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "查询付款状态",
                "parameters": [
                    {
                        "description": "查询付款状态模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderPayResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/receipt_data": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售订单"
                ],
                "summary": "查询小票数据",
                "parameters": [
                    {
                        "description": "查询小票数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderDeleteReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderReceiptDataResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/retail_detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "查询零售明细",
                "parameters": [
                    {
                        "description": "查询零售明细数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailDetailReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailDetailResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/retail_margin": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "查询商品零售毛利汇总",
                "parameters": [
                    {
                        "description": "查询商品零售毛利汇总数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailMarginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderRetailMarginResp"
                        }
                    }
                }
            }
        },
        "/api/v1/erp_order/store_manage_data": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "零售报表"
                ],
                "summary": "查询门店经营数据",
                "parameters": [
                    {
                        "description": "查询门店经营数据模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderStoreManageDataReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpOrderStoreManageDataResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/add_remark": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "查询商品串码或条码",
                "parameters": [
                    {
                        "description": "查询商品串码或条码模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.QueryCodeReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.QueryCodeResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/delivery": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "出库",
                "parameters": [
                    {
                        "description": "出库模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/inventorymanage.DeliveryCargoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/detail": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "查询库存详情",
                "parameters": [
                    {
                        "description": "查询库存详情模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockCommodityListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockCommodityListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/import": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "库存导入",
                "parameters": [
                    {
                        "description": "上传excel文件",
                        "name": "file",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "查询库存列表",
                "parameters": [
                    {
                        "description": "查询库存列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.ErpStockListResp"
                        }
                    }
                }
            }
        },
        "/api/v1/inventory/print": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "库存管理"
                ],
                "summary": "批量打印",
                "parameters": [
                    {
                        "description": "批量打印模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.BatchPrintInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/loginlog": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/日志"
                ],
                "summary": "修改登录日志",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.LoginLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/日志"
                ],
                "summary": "添加登录日志",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.LoginLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/loginlog/{infoId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "通过编码获取登录日志",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "infoId",
                        "name": "infoId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/日志"
                ],
                "summary": "批量删除登录日志",
                "parameters": [
                    {
                        "type": "string",
                        "description": "以逗号（,）分割的infoId",
                        "name": "infoId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/loginloglist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "登录日志列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/menu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "Menu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/x-www-form-urlencoded"
                ],
                "tags": [
                    "system/菜单"
                ],
                "summary": "创建菜单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Path",
                        "name": "Path",
                        "in": "formData"
                    },
                    {
                        "type": "string",
                        "description": "Action",
                        "name": "Action",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "Permission",
                        "name": "Permission",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "ParentId",
                        "name": "ParentId",
                        "in": "formData",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "IsDel",
                        "name": "IsDel",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menu/{id}": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/x-www-form-urlencoded"
                ],
                "tags": [
                    "system/菜单"
                ],
                "summary": "修改菜单",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Menu"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"修改失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/菜单"
                ],
                "summary": "删除菜单",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menuTreeselect": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/x-www-form-urlencoded"
                ],
                "tags": [
                    "system/菜单"
                ],
                "summary": "获取菜单树",
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menuids/{id}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "获取角色对应的菜单id数组",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menulist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "Menu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "menuName",
                        "name": "menuName",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/menurole": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/菜单"
                ],
                "summary": "根据角色名称获取菜单列表数据（左菜单使用）",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/operlog": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/日志"
                ],
                "summary": "添加操作日志",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysOperLog"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/operlog/{infoId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "通过编码获取登录日志",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "infoId",
                        "name": "infoId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/operlog/{operId}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/日志"
                ],
                "summary": "批量删除操作日志",
                "parameters": [
                    {
                        "type": "string",
                        "description": "以逗号（,）分割的operId",
                        "name": "operId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/operloglist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/日志"
                ],
                "summary": "操作日志列表（update）",
                "parameters": [
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictCode",
                        "name": "dictCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "dictType",
                        "name": "dictType",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "开时时间",
                        "name": "startTime",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "结束时间",
                        "name": "endTime",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/order/list_export": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "订单管理"
                ],
                "summary": "导出订单列表",
                "parameters": [
                    {
                        "description": "导出订单列表模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.OrderListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": { \"export_url\": \"\" }}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/post": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/岗位"
                ],
                "summary": "岗位列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "postName",
                        "name": "postName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postCode",
                        "name": "postCode",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "postId",
                        "name": "postId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/岗位"
                ],
                "summary": "添加岗位",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Post"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/post/": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/岗位"
                ],
                "summary": "修改岗位",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Post"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/post/{postId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/岗位"
                ],
                "summary": "获取岗位信息",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "postId",
                        "name": "postId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/岗位"
                ],
                "summary": "删除岗位",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"message\": \"删除成功\"}",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "500": {
                        "description": "{\"code\": 500, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/public/uploadFile": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "system/公共接口"
                ],
                "summary": "上传图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": "type",
                        "name": "type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/role": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/角色"
                ],
                "summary": "获取Role数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "put": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/角色"
                ],
                "summary": "修改用户角色",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysRole"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"修改失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/角色"
                ],
                "summary": "创建角色",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysRole"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/role/{roleId}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/角色"
                ],
                "summary": "删除用户角色",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "roleId",
                        "name": "roleId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/rolelist": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "Get JSON",
                "tags": [
                    "system/角色"
                ],
                "summary": "角色列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "roleName",
                        "name": "roleName",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "status",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "roleKey",
                        "name": "roleKey",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/rolemenu": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/角色菜单"
                ],
                "summary": "RoleMenu列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "RoleId",
                        "name": "RoleId",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/rolemenu/{id}": {
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/角色菜单"
                ],
                "summary": "删除用户菜单数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "menu_id",
                        "name": "menu_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/setting": {
            "get": {
                "description": "获取JSON",
                "tags": [
                    "system/系统信息"
                ],
                "summary": "查询系统信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/settings/serverInfo": {
            "get": {
                "description": "获取JSON",
                "tags": [
                    "system/系统信息"
                ],
                "summary": "系统信息",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/store/add": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门店管理"
                ],
                "summary": "新增门店",
                "parameters": [
                    {
                        "description": "新增门店模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Store"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/create": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理"
                ],
                "summary": "创建供应商",
                "parameters": [
                    {
                        "description": "供应商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.SupplierCreateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Supplier"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/delete/{id}": {
            "delete": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理"
                ],
                "summary": "删除供应商",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "供应商id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/detail/{id}": {
            "get": {
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理"
                ],
                "summary": "供应商详情",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "供应商id",
                        "name": "id",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/models.Supplier"
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/list": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理"
                ],
                "summary": "供应商列表",
                "parameters": [
                    {
                        "description": "供应商查询模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.SupplierListRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/models.Supplier"
                            }
                        }
                    }
                }
            }
        },
        "/api/v1/supplier/update": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "供应商管理"
                ],
                "summary": "更新供应商",
                "parameters": [
                    {
                        "description": "供应商模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/basic.SupplierUpdateRequest"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info": {
            "put": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "修改表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/工具"
                ],
                "summary": "修改表结构",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/tools.SysTables"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "添加表结构",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/工具"
                ],
                "summary": "添加表结构",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tables",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/info/{tableId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/工具"
                ],
                "summary": "获取配置",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "configKey",
                        "name": "configKey",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除表结构",
                "tags": [
                    "system/工具"
                ],
                "summary": "删除表结构",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "tableId",
                        "name": "tableId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sys/tables/page": {
            "get": {
                "description": "生成表分页列表",
                "tags": [
                    "system/工具"
                ],
                "summary": "分页列表数据",
                "parameters": [
                    {
                        "type": "string",
                        "description": "tableName / 数据表名称",
                        "name": "tableName",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageSize / 页条数",
                        "name": "pageSize",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "pageIndex / 页码",
                        "name": "pageIndex",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sysUser": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "获取用户角色和职位",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            },
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "创建用户(update)",
                "parameters": [
                    {
                        "description": "用户数据",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InsertSysUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sysUser/{userId}": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "获取用户",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "用户编码",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/sysUserList": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "列表用户信息数据(update)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "username",
                        "name": "username",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"抱歉未找到相关信息\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/syscategory": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/分类"
                ],
                "summary": "添加分类",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysCategory"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/syscontent": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/内容管理"
                ],
                "summary": "添加内容管理",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysContent"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sysfiledir": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/file"
                ],
                "summary": "添加SysFileDir",
                "parameters": [
                    {
                        "description": "data",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysFileDir"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/system/setting": {
            "post": {
                "description": "获取JSON",
                "tags": [
                    "system/系统信息"
                ],
                "summary": "更新或提交系统信息",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.SysUser"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/sysuser/{userId}": {
            "put": {
                "description": "获取JSON",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "修改用户数据(update)",
                "parameters": [
                    {
                        "description": "body",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.InsertSysUserReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"修改失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除数据",
                "tags": [
                    "system/用户"
                ],
                "summary": "删除用户数据",
                "parameters": [
                    {
                        "type": "integer",
                        "description": "userId",
                        "name": "userId",
                        "in": "path",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"删除失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user/profile": {
            "get": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取JSON",
                "tags": [
                    "system/用户"
                ],
                "summary": "获取个人中心用户",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"data\": [...]}",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/api/v1/user/profileAvatar": {
            "post": {
                "description": "获取JSON",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "修改头像",
                "parameters": [
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": -1, \"message\": \"添加失败\"}",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/api/v1/user_info/tel": {
            "post": {
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户信息"
                ],
                "summary": "查询会员手机号",
                "parameters": [
                    {
                        "description": "查询会员手机号模型",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.TelListReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/app.Response"
                        }
                    }
                }
            }
        },
        "/login": {
            "post": {
                "description": "获取token\nLoginHandler can be used by clients to get a jwt token.\nPayload needs to be json in the form of {\"username\": \"USERNAME\", \"password\": \"PASSWORD\"}.\nReply will be of the form {\"token\": \"TOKEN\"}.\ndev mode：It should be noted that all fields cannot be empty, and a value of 0 can be passed in addition to the account password\n注意：开发模式：需要注意全部字段不能为空，账号密码外可以传入0值",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "登陆",
                "parameters": [
                    {
                        "description": "account",
                        "name": "account",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/models.Login"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"expire\": \"2019-08-07T12:45:48+08:00\", \"token\": \".eyJleHAiOjE1NjUxNTMxNDgsImlkIjoiYWRtaW4iLCJvcmlnX2lhdCI6MTU2NTE0OTU0OH0.-zvzHvbg0A\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/logout": {
            "post": {
                "security": [
                    {
                        "Bearer": []
                    }
                ],
                "description": "获取token",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "system/用户"
                ],
                "summary": "退出登录",
                "responses": {
                    "200": {
                        "description": "{\"code\": 200, \"msg\": \"成功退出系统\" }",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "app.Page": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "list": {},
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                }
            }
        },
        "app.Response": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "代码",
                    "type": "integer",
                    "example": 200
                },
                "data": {
                    "description": "数据集"
                },
                "msg": {
                    "description": "消息",
                    "type": "string"
                },
                "requestId": {
                    "description": "请求id",
                    "type": "string"
                }
            }
        },
        "basic.CashierCreateRequest": {
            "type": "object",
            "required": [
                "name",
                "store_num"
            ],
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "store_num": {
                    "description": "门店编号",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "basic.CashierDetailRequest": {
            "type": "object",
            "required": [
                "cashier_id"
            ],
            "properties": {
                "cashier_id": {
                    "description": "账号id",
                    "type": "integer"
                }
            }
        },
        "basic.CashierEditRequest": {
            "type": "object",
            "required": [
                "cashier_id",
                "name",
                "store_num"
            ],
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "cashier_id": {
                    "description": "账号id",
                    "type": "integer"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "store_num": {
                    "description": "门店编号",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "basic.CashierListRequest": {
            "type": "object",
            "properties": {
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页条数",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                }
            }
        },
        "basic.CategoryDisplayRequest": {
            "type": "object",
            "properties": {
                "display": {
                    "description": "是否展示 1展示 0隐藏",
                    "type": "integer"
                },
                "id": {
                    "description": "分类id",
                    "type": "integer"
                }
            }
        },
        "basic.CategoryListRequest": {
            "type": "object",
            "properties": {
                "is_all": {
                    "description": "是否展示全部",
                    "type": "boolean"
                }
            }
        },
        "basic.CommodityCreateRequest": {
            "type": "object",
            "required": [
                "erp_category_id",
                "erp_supplier_id",
                "is_imei",
                "min_retail_price",
                "name",
                "retail_price",
                "staff_cost_price",
                "wholesale_price"
            ],
            "properties": {
                "brokerage_1": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "brokerage_2": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "主供应商",
                    "type": "integer"
                },
                "imei_type": {
                    "description": "系统生成串码：2-是（系统生成） 3-否（手动添加）",
                    "type": "integer"
                },
                "is_imei": {
                    "description": "是否串码：1-串码类 2-非串码",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "integer"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "integer"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "integer"
                }
            }
        },
        "basic.CommodityDelRequest": {
            "type": "object",
            "required": [
                "erp_commodity_id"
            ],
            "properties": {
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                }
            }
        },
        "basic.CommodityDetailRequest": {
            "type": "object",
            "properties": {
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                }
            }
        },
        "basic.CommodityEditRequest": {
            "type": "object",
            "required": [
                "erp_category_id",
                "erp_supplier_id",
                "id",
                "imei_type",
                "min_retail_price",
                "name",
                "retail_price",
                "staff_cost_price",
                "wholesale_price"
            ],
            "properties": {
                "brokerage_1": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "brokerage_2": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "integer"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "integer"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "integer"
                }
            }
        },
        "basic.CreateCategoryRequest": {
            "type": "object",
            "required": [
                "name"
            ],
            "properties": {
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类id",
                    "type": "integer"
                }
            }
        },
        "basic.DeleteCategoryRequest": {
            "type": "object",
            "required": [
                "category_id"
            ],
            "properties": {
                "category_id": {
                    "type": "integer"
                }
            }
        },
        "basic.SupplierCreateRequest": {
            "type": "object",
            "required": [
                "address",
                "area",
                "bank_account",
                "city",
                "contact",
                "name",
                "opening_bank",
                "payment_cycle",
                "province",
                "tel"
            ],
            "properties": {
                "account_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "address": {
                    "description": "地址",
                    "type": "string"
                },
                "area": {
                    "description": "地区",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行卡号",
                    "type": "string"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "company_website": {
                    "description": "网站",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "landline": {
                    "description": "固话",
                    "type": "string"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "payment_cycle": {
                    "description": "支付周期",
                    "type": "integer"
                },
                "province": {
                    "description": "省份",
                    "type": "string"
                },
                "tax_number": {
                    "description": "税点",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                }
            }
        },
        "basic.SupplierListRequest": {
            "type": "object",
            "properties": {
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "number": {
                    "description": "供应商编号",
                    "type": "string"
                }
            }
        },
        "basic.SupplierUpdateRequest": {
            "type": "object",
            "required": [
                "address",
                "area",
                "bank_account",
                "city",
                "contact",
                "id",
                "name",
                "opening_bank",
                "payment_cycle",
                "province",
                "tel"
            ],
            "properties": {
                "account_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "address": {
                    "description": "地址",
                    "type": "string"
                },
                "area": {
                    "description": "地区",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行卡号",
                    "type": "string"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "company_website": {
                    "description": "网站",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "landline": {
                    "description": "固话",
                    "type": "string"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "payment_cycle": {
                    "description": "支付周期",
                    "type": "integer"
                },
                "province": {
                    "description": "省份",
                    "type": "string"
                },
                "tax_number": {
                    "description": "税点",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                }
            }
        },
        "basic.UpdateCategoryRequest": {
            "type": "object",
            "required": [
                "id",
                "name"
            ],
            "properties": {
                "id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类id",
                    "type": "integer"
                }
            }
        },
        "inventorymanage.AddRemarkReq": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "description": "商品库存列表id",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                }
            }
        },
        "inventorymanage.DeliveryCargoReq": {
            "type": "object",
            "required": [
                "id"
            ],
            "properties": {
                "id": {
                    "description": "商品库存列表id",
                    "type": "integer"
                }
            }
        },
        "models.BatchPrintInfo": {
            "type": "object",
            "required": [
                "erp_commodity_name",
                "imei",
                "retail_price"
            ],
            "properties": {
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                }
            }
        },
        "models.BatchPrintInfoReq": {
            "type": "object",
            "required": [
                "print_list_info"
            ],
            "properties": {
                "print_list_info": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.BatchPrintInfo"
                    }
                }
            }
        },
        "models.CashierStore": {
            "type": "object",
            "properties": {
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.Category": {
            "type": "object",
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "display": {
                    "description": "1 展示 0 隐藏",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "number": {
                    "description": "编号",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类的编号",
                    "type": "integer"
                }
            }
        },
        "models.CategoryExcel": {
            "type": "object",
            "required": [
                "first_category"
            ],
            "properties": {
                "first_category": {
                    "description": "一级分类",
                    "type": "string"
                },
                "second_category": {
                    "description": "二级分类",
                    "type": "string"
                },
                "three_category": {
                    "description": "三级分类",
                    "type": "string"
                }
            }
        },
        "models.CategoryModel": {
            "type": "object",
            "properties": {
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "display": {
                    "description": "1 展示 0 隐藏",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "number": {
                    "description": "编号",
                    "type": "string"
                },
                "pid": {
                    "description": "父分类的编号",
                    "type": "integer"
                },
                "sub_category": {
                    "description": "子分类",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CategoryModel"
                    }
                }
            }
        },
        "models.CommodityExcel": {
            "type": "object",
            "required": [
                "category",
                "imei_type",
                "member_discount",
                "min_retail_price",
                "name",
                "retail_price",
                "sell_brokerage",
                "staff_brokerage",
                "staff_cost_price",
                "supplier_name",
                "sys_generate",
                "wholesale_price"
            ],
            "properties": {
                "category": {
                    "description": "商品所属分类",
                    "type": "string"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "是否串码 1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "string"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "string"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "string"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "string"
                },
                "sell_brokerage": {
                    "description": "销售毛利提成",
                    "type": "string"
                },
                "staff_brokerage": {
                    "description": "员工毛利提成",
                    "type": "string"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "string"
                },
                "supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "sys_generate": {
                    "description": "系统生成串码",
                    "type": "string"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "string"
                }
            }
        },
        "models.CooperativeAssistantMemberDeduct": {
            "type": "object",
            "properties": {
                "black_gold_deduct": {
                    "description": "黑金金会员提成",
                    "type": "integer"
                },
                "cooperative_business_id": {
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "gold_deduct": {
                    "description": "黄金会员提成",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "platinum_deduct": {
                    "description": "白金会员提成",
                    "type": "integer"
                },
                "renewal_black_gold_deduct": {
                    "description": "续费黑金金会员提成",
                    "type": "integer"
                },
                "renewal_gold_deduct": {
                    "description": "续费黄金会员提成",
                    "type": "integer"
                },
                "renewal_platinum_deduct": {
                    "description": "续费白金会员提成",
                    "type": "integer"
                },
                "store_id": {
                    "type": "integer"
                }
            }
        },
        "models.DictType": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "dictId": {
                    "type": "integer"
                },
                "dictName": {
                    "description": "字典名称",
                    "type": "string"
                },
                "dictType": {
                    "description": "字典类型",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.ErpCashier": {
            "type": "object",
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "state": {
                    "description": "状态:1-使用 2-未用",
                    "type": "integer"
                },
                "type": {
                    "type": "integer"
                }
            }
        },
        "models.ErpCashierDetail": {
            "type": "object",
            "properties": {
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_name": {
                    "description": "银行全称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "账号名称",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "state": {
                    "description": "状态:1-使用 2-未用",
                    "type": "integer"
                },
                "store_list": {
                    "description": "账号关联的门店信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.CashierStore"
                    }
                },
                "type": {
                    "type": "integer"
                }
            }
        },
        "models.ErpCashierListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "数据总条数",
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCashier"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpCategory": {
            "type": "object",
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "full_num": {
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "level": {
                    "description": "分类层级",
                    "type": "integer"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "number": {
                    "type": "string"
                },
                "pid": {
                    "type": "integer"
                },
                "priority": {
                    "description": "分类",
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "state": {
                    "description": "1-未使用 2-使用 3-隐藏",
                    "type": "integer"
                },
                "sub_cats": {
                    "description": "子列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCategory"
                    }
                }
            }
        },
        "models.ErpCommodity": {
            "type": "object",
            "properties": {
                "brokerage_1": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "brokerage_2": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category": {
                    "$ref": "#/definitions/models.ErpCategory"
                },
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "商品分类名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "主供应商名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "is_imei": {
                    "description": "是否串码：1-串码类 2-非串码",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "integer"
                },
                "name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "number": {
                    "description": "商品数量",
                    "type": "integer"
                },
                "origin": {
                    "description": "产地",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "integer"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "integer"
                }
            }
        },
        "models.ErpCommodityListReq": {
            "type": "object",
            "properties": {
                "erp_category_id": {
                    "description": "商品分类id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                }
            }
        },
        "models.ErpCommodityListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "数据总条数",
                    "type": "integer"
                },
                "export_url": {
                    "description": "1-导出",
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpCommodity"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrder": {
            "type": "object",
            "properties": {
                "audit_time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "auditor_id": {
                    "description": "审核人id",
                    "type": "integer"
                },
                "auditor_name": {
                    "description": "审核人姓名",
                    "type": "string"
                },
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "cashier_list": {
                    "description": "付款方式，存储json数据",
                    "type": "string"
                },
                "cashiers": {
                    "description": "收付款方式",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCashier"
                    }
                },
                "commodities": {
                    "description": "零售订单商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCommodity"
                    }
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "invoice_code": {
                    "description": "发票代码",
                    "type": "integer"
                },
                "invoice_number": {
                    "description": "发票编码",
                    "type": "integer"
                },
                "is_print": {
                    "description": "是否打印小票 1-未打印 2-已打印",
                    "type": "integer"
                },
                "maker_id": {
                    "description": "制单人id",
                    "type": "integer"
                },
                "maker_name": {
                    "description": "制单人名称",
                    "type": "string"
                },
                "maker_time": {
                    "description": "制单时间",
                    "type": "string"
                },
                "member_type": {
                    "description": "会员类型:general 普通； member 会员",
                    "type": "string"
                },
                "pay_status": {
                    "description": "支付状态 0-未创建 ；1-待支付； 2-已支付",
                    "type": "integer"
                },
                "print_count": {
                    "description": "小票打印次数",
                    "type": "integer"
                },
                "rejected_total_amount": {
                    "description": "订单总退货金额",
                    "type": "number"
                },
                "rejected_total_count": {
                    "description": "订单总退货数量",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型:sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "sale_order_id": {
                    "description": "销售订单id",
                    "type": "integer"
                },
                "salesman": {
                    "description": "销售员信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderSales"
                    }
                },
                "salesman_list": {
                    "description": "销售员信息，存储json数据",
                    "type": "string"
                },
                "state": {
                    "description": "订单状态:un_audit 待审核； audited 已审核",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "store_per": {
                    "description": "门店提成：订单总员工毛利X该门店设置好的提成比例，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "tel": {
                    "description": "客户手机号",
                    "type": "string"
                },
                "total_amount": {
                    "description": "订单实收金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "订单商品数量",
                    "type": "integer"
                },
                "total_discount": {
                    "description": "订单总优惠：订单所有商品零售优惠+会员优惠+会员积分抵扣之和",
                    "type": "number"
                },
                "total_retail_price": {
                    "description": "订单总指导零售价",
                    "type": "number"
                },
                "total_sales_profit": {
                    "description": "订单总销售毛利",
                    "type": "number"
                },
                "total_staff_profit": {
                    "description": "订单总员工毛利",
                    "type": "number"
                },
                "uid": {
                    "description": "用户id",
                    "type": "integer"
                },
                "vm_count": {
                    "description": "使用会员积分",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderAddInvoiceReq": {
            "type": "object",
            "required": [
                "bill_sn",
                "invoice_code",
                "invoice_number"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "invoice_code": {
                    "description": "发票代码",
                    "type": "string"
                },
                "invoice_number": {
                    "description": "发票编码",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderAuditReq": {
            "type": "object",
            "required": [
                "bill_sn",
                "state"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "state": {
                    "description": "审核操作: 1-审核 2-取消审核",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderCashier": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "金额",
                    "type": "number"
                },
                "cashier_id": {
                    "description": "收付款方式id",
                    "type": "integer"
                },
                "name": {
                    "description": "收付款方式名称",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderCommodity": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "实际零售价",
                    "type": "number"
                },
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_order_id": {
                    "description": "零售订单id（后端生成）",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "主供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "主供应商名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "present_type": {
                    "description": "赠送类型:1-非赠送 2-赠送",
                    "type": "integer"
                },
                "received_amount": {
                    "description": "商品实收金额",
                    "type": "number"
                },
                "rejected_amount": {
                    "description": "退货金额",
                    "type": "number"
                },
                "rejected_count": {
                    "description": "退货数量",
                    "type": "integer"
                },
                "rejected_order_commodity_id": {
                    "description": "退货订单商品id",
                    "type": "integer"
                },
                "rejected_price": {
                    "description": "退货单价",
                    "type": "number"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                },
                "sale_discount": {
                    "description": "零售优惠",
                    "type": "number"
                },
                "sale_price": {
                    "description": "零售价",
                    "type": "integer"
                },
                "sales_profit": {
                    "description": "销售毛利：实际零售价-采购单价；如果为退货订单，则为实际退货价-采购单价",
                    "type": "number"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "integer"
                },
                "staff_profit": {
                    "description": "员工毛利：实际零售价-员工成本价；如果为退货订单，则为实际退货价-员工成本价",
                    "type": "number"
                },
                "vm_discount": {
                    "description": "会员积分抵扣",
                    "type": "number"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderCreateReq": {
            "type": "object",
            "required": [
                "cashiers",
                "erp_order_commodities",
                "member_type",
                "retail_type",
                "salesman",
                "store_id",
                "store_name",
                "total_amount",
                "total_count",
                "total_retail_price"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "cashiers": {
                    "description": "收付款方式",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCashier"
                    }
                },
                "erp_order_commodities": {
                    "description": "零售订单商品信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderCommodity"
                    }
                },
                "member_type": {
                    "description": "会员类型：general 普通； member 会员",
                    "type": "string"
                },
                "retail_type": {
                    "description": "销售类型：sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "salesman": {
                    "description": "销售员信息",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrderSales"
                    }
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "tel": {
                    "description": "会员手机号",
                    "type": "string"
                },
                "total_amount": {
                    "description": "订单实收金额",
                    "type": "number"
                },
                "total_count": {
                    "description": "订单商品数量",
                    "type": "integer"
                },
                "total_retail_price": {
                    "description": "订单总指导零售价",
                    "type": "number"
                },
                "vm_count": {
                    "description": "使用会员积分",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderDeleteReq": {
            "type": "object",
            "required": [
                "bill_sn"
            ],
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderListReq": {
            "type": "object",
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "pay_status": {
                    "description": "支付状态 0-未创建 ；1-待支付； 2-已支付",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型：sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "salesman": {
                    "description": "销售人员ID",
                    "type": "integer"
                },
                "scan_code": {
                    "description": "扫码枪扫码数据：串码",
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "state": {
                    "description": "订单状态",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                },
                "tel": {
                    "description": "客户手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderListResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderPayReq": {
            "type": "object",
            "required": [
                "auth_code",
                "bill_sn"
            ],
            "properties": {
                "auth_code": {
                    "description": "用户付款码",
                    "type": "string"
                },
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderPayResp": {
            "type": "object",
            "properties": {
                "status": {
                    "description": "支付成功：pay_ok；支付失败：pay_failed ；等待支付：paying; 未知状态：pay_unknown; 未创建支付订单：no_pay_order",
                    "type": "string"
                }
            }
        },
        "models.ErpOrderReceiptDataResp": {
            "type": "object",
            "properties": {
                "actualPayment": {
                    "description": "所有支付方式金额总和",
                    "type": "number"
                },
                "barcode": {
                    "description": "单据编号：条码",
                    "type": "string"
                },
                "chandiseObj": {
                    "description": "商品信息",
                    "type": "object",
                    "additionalProperties": {
                        "$ref": "#/definitions/models.TableData"
                    }
                },
                "collectS": {
                    "description": "收银人员：制单人",
                    "type": "string"
                },
                "integrationAmount": {
                    "description": "积分抵扣总金额",
                    "type": "number"
                },
                "membersAmount": {
                    "description": "会员优惠总金额",
                    "type": "number"
                },
                "modeOfPayment": {
                    "description": "支付信息",
                    "type": "object",
                    "additionalProperties": {
                        "$ref": "#/definitions/models.ErpOrderCashier"
                    }
                },
                "oddNum": {
                    "description": "单据编号",
                    "type": "string"
                },
                "storeAddress": {
                    "description": "店铺地址",
                    "type": "string"
                },
                "storeName": {
                    "description": "门店名称",
                    "type": "string"
                },
                "storeTel": {
                    "description": "卖家电话",
                    "type": "string"
                },
                "tel": {
                    "description": "买家电话",
                    "type": "string"
                },
                "time": {
                    "description": "审核时间",
                    "type": "string"
                },
                "toDealWith": {
                    "description": "零售价合计 - 零售优惠总额 - 会员优惠总和 - 积分抵扣总额",
                    "type": "number"
                },
                "totalAmount": {
                    "description": "零售优惠总金额",
                    "type": "number"
                },
                "totalNum": {
                    "description": "数量合计",
                    "type": "integer"
                },
                "totalRetailP": {
                    "description": "零售价合计",
                    "type": "number"
                }
            }
        },
        "models.ErpOrderRetailDetailReq": {
            "type": "object",
            "properties": {
                "bill_sn": {
                    "description": "单据编号",
                    "type": "string"
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型：sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "salesman": {
                    "description": "销售人员ID",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                },
                "tel": {
                    "description": "客户手机号",
                    "type": "string"
                },
                "uid": {
                    "description": "用户ID",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderRetailDetailResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "description": "导出excel地址",
                    "type": "string"
                },
                "list": {
                    "description": "零售明细",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpOrder"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "sumData": {
                    "description": "汇总数据",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.RetailDetailTotalData"
                        }
                    ]
                },
                "total": {
                    "description": "总条数（总订单数）",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderRetailMarginReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "retail_type": {
                    "description": "销售类型:sale 零售销售； rejected 零售退货",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "models.ErpOrderRetailMarginResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.RetailMarginData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                },
                "total_count": {
                    "description": "总销售数量",
                    "type": "integer"
                },
                "total_gross_margins": {
                    "description": "销售毛利率:销售毛利/销售/退货金额",
                    "type": "string"
                },
                "total_sales_amount": {
                    "description": "总销售/退货金额",
                    "type": "number"
                },
                "total_sales_cost": {
                    "description": "总销售成本：销售采购价之和",
                    "type": "number"
                },
                "total_sales_margin": {
                    "description": "总销售毛利：销售/退货金额-销售成本",
                    "type": "number"
                }
            }
        },
        "models.ErpOrderSales": {
            "type": "object",
            "required": [
                "uid"
            ],
            "properties": {
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_order_id": {
                    "description": "零售订单id（后端生成）",
                    "type": "integer"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "name": {
                    "description": "销售员用户姓名",
                    "type": "string"
                },
                "sales_profit_per": {
                    "description": "销售毛利提成：每个商品销售毛利X其对应的提成比例后求和；如果是两个销售员参与则分别除以2 ，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "salesman_per": {
                    "description": "销售员提成：订单总员工毛利X该销售员设置好的提成比例；如果是两个销售员参与，那么两个人算出的提成均除以2，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "staff_profit_per": {
                    "description": "员工毛利提成：每个商品员工毛利X其对应的提成比例后求和；如果是两个销售员参与则分别除以2 ，保留到小数后两位多余舍去",
                    "type": "number"
                },
                "uid": {
                    "description": "销售员用户ID",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderStoreManageDataReq": {
            "type": "object",
            "properties": {
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "is_export": {
                    "description": "1-导出",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店ID",
                    "type": "integer"
                }
            }
        },
        "models.ErpOrderStoreManageDataResp": {
            "type": "object",
            "properties": {
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreManageData"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total": {
                    "description": "总条数",
                    "type": "integer"
                }
            }
        },
        "models.ErpStock": {
            "type": "object",
            "properties": {
                "commodities": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpStockCommodity"
                    }
                },
                "commodity_serial_number": {
                    "description": "商品编码/串码",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dispatch_count": {
                    "description": "调拨中数量",
                    "type": "integer"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei_type": {
                    "description": "1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "integer"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.ErpStockCommodity": {
            "type": "object",
            "properties": {
                "age": {
                    "description": "最近库龄",
                    "type": "integer"
                },
                "all_age": {
                    "description": "总库龄",
                    "type": "integer"
                },
                "commodity_serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "count": {
                    "description": "数量",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "erp_barcode": {
                    "description": "商品条码",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_stock_id": {
                    "description": "库存id",
                    "type": "integer"
                },
                "erp_supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                },
                "erp_supplier_name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "first_stock_time": {
                    "description": "首次入库时间",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "imei": {
                    "description": "商品串码",
                    "type": "string"
                },
                "imei_type": {
                    "description": "是否串码：1-无串码 2-串码（系统生成） 3-串码（手动添加）",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "min_retail_price": {
                    "description": "最低零售价",
                    "type": "integer"
                },
                "original_sn": {
                    "description": "首次入库订单编号",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                },
                "staff_cost_price": {
                    "description": "员工成本价加价",
                    "type": "integer"
                },
                "state": {
                    "description": "状态:1-在库 2-已售 3-采购退货 4-调拨中 5-销售锁定中",
                    "type": "integer"
                },
                "stock_end_time": {
                    "description": "最近入库结束时间",
                    "type": "string"
                },
                "stock_sn": {
                    "description": "库存订单编号",
                    "type": "string"
                },
                "stock_start_time": {
                    "description": "最近入库开始时间",
                    "type": "string"
                },
                "stock_time": {
                    "description": "最近入库时间",
                    "type": "string"
                },
                "storage_type": {
                    "description": "入库方式：1-系统入库 2-采购入库",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "wholesale_price": {
                    "description": "指导采购价",
                    "type": "integer"
                }
            }
        },
        "models.ErpStockCommodityListReq": {
            "type": "object",
            "properties": {
                "age": {
                    "description": "最近库龄",
                    "type": "integer"
                },
                "all_age": {
                    "description": "总库龄",
                    "type": "integer"
                },
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类Id",
                    "type": "integer"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_stock_id": {
                    "description": "库存id",
                    "type": "integer"
                },
                "imei": {
                    "description": "串码",
                    "type": "string"
                },
                "is_export": {
                    "description": "是否导出excel：1-导出",
                    "type": "integer"
                },
                "is_imei": {
                    "description": "是否串码：0-查全部 1-查串码类 2-查非串码",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示数据条数",
                    "type": "integer"
                },
                "scan_code": {
                    "description": "扫码枪扫码数据：串码/条码",
                    "type": "string"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "sn": {
                    "description": "首次入库订单编号",
                    "type": "string"
                },
                "state": {
                    "description": "库存状态:1-在库 2-已售 3-采购退货 4-调拨中 5-出库",
                    "type": "integer"
                },
                "stock_time_end": {
                    "description": "最近入库结束时间",
                    "type": "string"
                },
                "stock_time_start": {
                    "description": "最近入库开始时间",
                    "type": "string"
                },
                "storage_type": {
                    "description": "首次入库方式：1-系统入库 2-采购入库",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                },
                "supplier_id": {
                    "description": "供应商id",
                    "type": "integer"
                }
            }
        },
        "models.ErpStockCommodityListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "数据总条数",
                    "type": "integer"
                },
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpStockCommodity"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                },
                "total_staff_price": {
                    "description": "入库员工成本价之和",
                    "type": "integer"
                },
                "total_wholesale_price": {
                    "description": "入库采购价之和",
                    "type": "integer"
                }
            }
        },
        "models.ErpStockListReq": {
            "type": "object",
            "properties": {
                "commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "erp_category_id": {
                    "description": "商品分类",
                    "type": "integer"
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "serial_number": {
                    "description": "商品编号",
                    "type": "string"
                },
                "stock_type": {
                    "description": "库存情况:1-全部 2-有库存 3-无库存",
                    "type": "integer"
                },
                "store_id": {
                    "description": "门店编号",
                    "type": "integer"
                }
            }
        },
        "models.ErpStockListResp": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "数据总条数",
                    "type": "integer"
                },
                "export_url": {
                    "type": "string"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.ErpStock"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                }
            }
        },
        "models.InsertSysUserReq": {
            "type": "object",
            "properties": {
                "account_type": {
                    "description": "账号类型:1-管理端",
                    "type": "integer"
                },
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "nickName": {
                    "description": "昵称",
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "postId": {
                    "description": "职位编码",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "sales_comm_rate": {
                    "description": "销售提成比例",
                    "type": "string"
                },
                "salt": {
                    "description": "盐",
                    "type": "string"
                },
                "sex": {
                    "description": "性别",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_list": {
                    "description": "有效门店",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreInfo"
                    }
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "userId": {
                    "description": "编码",
                    "type": "integer"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.Login": {
            "type": "object",
            "required": [
                "code",
                "password",
                "sys_type",
                "username",
                "uuid"
            ],
            "properties": {
                "code": {
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "sys_type": {
                    "description": "1-管理系统 2-合作商系统",
                    "type": "integer"
                },
                "username": {
                    "type": "string"
                },
                "uuid": {
                    "type": "string"
                }
            }
        },
        "models.LoginLog": {
            "type": "object",
            "properties": {
                "browser": {
                    "description": "浏览器",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建人",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "description": "数据",
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "infoId": {
                    "description": "主键",
                    "type": "integer"
                },
                "ipaddr": {
                    "description": "ip地址",
                    "type": "string"
                },
                "loginLocation": {
                    "description": "归属地",
                    "type": "string"
                },
                "loginTime": {
                    "description": "登录时间",
                    "type": "string"
                },
                "msg": {
                    "type": "string"
                },
                "os": {
                    "description": "系统",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "platform": {
                    "description": "固件",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.Menu": {
            "type": "object",
            "properties": {
                "action": {
                    "type": "string"
                },
                "breadcrumb": {
                    "type": "string"
                },
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.Menu"
                    }
                },
                "component": {
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "isFrame": {
                    "type": "string"
                },
                "is_select": {
                    "type": "boolean"
                },
                "menuId": {
                    "type": "integer"
                },
                "menuName": {
                    "type": "string"
                },
                "menuType": {
                    "type": "string"
                },
                "noCache": {
                    "type": "boolean"
                },
                "params": {
                    "type": "string"
                },
                "parentId": {
                    "type": "integer"
                },
                "path": {
                    "type": "string"
                },
                "paths": {
                    "type": "string"
                },
                "permission": {
                    "type": "string"
                },
                "roleId": {
                    "type": "integer"
                },
                "sort": {
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "visible": {
                    "type": "string"
                }
            }
        },
        "models.OrderListReq": {
            "type": "object",
            "properties": {
                "card_status": {
                    "description": "1-待取货中 2-游玩中 3-归还中 4-已完成 5-已取消",
                    "type": "integer"
                },
                "delivery_type": {
                    "description": "取货类型 1-门店自取 2-快递",
                    "type": "integer"
                },
                "end_time": {
                    "description": "结束时间",
                    "type": "string"
                },
                "game_card_id": {
                    "type": "integer"
                },
                "order_id": {
                    "type": "integer"
                },
                "pageIndex": {
                    "type": "integer"
                },
                "pageSize": {
                    "type": "integer"
                },
                "pay_status": {
                    "description": "支付状态 1-未支付  2-已支付",
                    "type": "integer"
                },
                "pickup_code": {
                    "description": "取货码",
                    "type": "string"
                },
                "serial_number": {
                    "description": "编号",
                    "type": "string"
                },
                "start_time": {
                    "description": "开始时间",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id// 游戏id",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "models.Post": {
            "type": "object",
            "properties": {
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "postCode": {
                    "description": "岗位代码",
                    "type": "string"
                },
                "postId": {
                    "description": "岗位编号",
                    "type": "integer"
                },
                "postName": {
                    "description": "岗位名称",
                    "type": "string"
                },
                "remark": {
                    "description": "描述",
                    "type": "string"
                },
                "sort": {
                    "description": "岗位排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.QueryCodeReq": {
            "type": "object",
            "required": [
                "scan_code"
            ],
            "properties": {
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "scan_code": {
                    "description": "扫码枪扫码数据：串码/条码",
                    "type": "string"
                }
            }
        },
        "models.QueryCodeResp": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "数据总条数",
                    "type": "integer"
                },
                "list": {
                    "description": "串码/条码",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "每页展示条数",
                    "type": "integer"
                }
            }
        },
        "models.RetailDetailTotalData": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "实际零售价",
                    "type": "number"
                },
                "cash_amount": {
                    "description": "现金收款",
                    "type": "number"
                },
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "member_discount": {
                    "description": "会员优惠",
                    "type": "number"
                },
                "other_amount": {
                    "description": "其他付款方式",
                    "type": "number"
                },
                "pos_amount": {
                    "description": "pos机收款",
                    "type": "number"
                },
                "retail_price": {
                    "description": "指导零售价",
                    "type": "integer"
                },
                "sale_discount": {
                    "description": "零售优惠",
                    "type": "number"
                },
                "sale_price": {
                    "description": "零售价",
                    "type": "integer"
                },
                "sales_profit": {
                    "description": "销售毛利",
                    "type": "number"
                },
                "salesman_per": {
                    "description": "销售员提成",
                    "type": "number"
                },
                "scan_amount": {
                    "description": "扫码付",
                    "type": "number"
                },
                "staff_price": {
                    "description": "员工成本价",
                    "type": "integer"
                },
                "staff_profit": {
                    "description": "员工毛利",
                    "type": "number"
                },
                "store_per": {
                    "description": "门店提成",
                    "type": "number"
                },
                "store_vm_amount": {
                    "description": "商场积分抵扣",
                    "type": "number"
                },
                "total_amount": {
                    "description": "订单实收金额",
                    "type": "number"
                },
                "total_discount": {
                    "description": "订单总优惠：订单所有商品零售优惠+会员优惠+会员积分抵扣之和",
                    "type": "number"
                },
                "total_retail_price": {
                    "description": "订单总指导零售价",
                    "type": "number"
                },
                "total_sales_profit": {
                    "description": "订单总销售毛利",
                    "type": "number"
                },
                "total_sales_profit_per": {
                    "description": "销售毛利提成",
                    "type": "number"
                },
                "total_staff_profit": {
                    "description": "订单总员工毛利",
                    "type": "number"
                },
                "total_staff_profit_per": {
                    "description": "员工毛利提成",
                    "type": "number"
                },
                "vm_discount": {
                    "description": "会员积分抵扣",
                    "type": "number"
                },
                "wholesale_price": {
                    "description": "采购单价",
                    "type": "integer"
                }
            }
        },
        "models.RetailMarginData": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "erp_category_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "erp_category_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "erp_commodity_id": {
                    "description": "商品id",
                    "type": "integer"
                },
                "erp_commodity_name": {
                    "description": "商品名称",
                    "type": "string"
                },
                "gross_margins": {
                    "description": "销售毛利率:销售毛利/销售/退货金额",
                    "type": "string"
                },
                "retail_type": {
                    "description": "销售类型:sale 零售销售； rejected 零售退货",
                    "type": "string"
                },
                "sales_amount": {
                    "description": "销售/退货金额",
                    "type": "number"
                },
                "sales_cost": {
                    "description": "销售成本：销售采购价之和",
                    "type": "number"
                },
                "sales_margin": {
                    "description": "销售毛利：销售/退货金额-销售成本",
                    "type": "number"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.Store": {
            "type": "object",
            "properties": {
                "address": {
                    "description": "详细地址",
                    "type": "string"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "cooperative_assistant_member_deduct": {
                    "description": "GameCardGoods",
                    "allOf": [
                        {
                            "$ref": "#/definitions/models.CooperativeAssistantMemberDeduct"
                        }
                    ]
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "district": {
                    "description": "区",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "img": {
                    "description": "门面图",
                    "type": "string"
                },
                "is_online": {
                    "description": "在线",
                    "type": "integer"
                },
                "latitude": {
                    "description": "纬度",
                    "type": "number"
                },
                "longitude": {
                    "description": "经度",
                    "type": "number"
                },
                "member_service": {
                    "description": "会员服务：1 开启 2 不开启",
                    "type": "integer"
                },
                "name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "sales_comm_rate": {
                    "description": "门店销售提成比例",
                    "type": "number"
                },
                "tel": {
                    "description": "电话",
                    "type": "string"
                }
            }
        },
        "models.StoreInfo": {
            "type": "object",
            "properties": {
                "expireTime": {
                    "description": "有效期",
                    "type": "string"
                },
                "storeId": {
                    "description": "门店id",
                    "type": "integer"
                },
                "storeName": {
                    "description": "门店名称",
                    "type": "string"
                }
            }
        },
        "models.StoreManageData": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "date": {
                    "description": "时间，如：\"2023-12-25\"",
                    "type": "string"
                },
                "promotion_fee": {
                    "description": "推广费",
                    "type": "number"
                },
                "sales_profit": {
                    "description": "销售毛利",
                    "type": "number"
                },
                "staff_profit": {
                    "description": "员工毛利",
                    "type": "number"
                },
                "total_sales_amount": {
                    "description": "销售额",
                    "type": "number"
                }
            }
        },
        "models.Supplier": {
            "type": "object",
            "properties": {
                "account_holder": {
                    "description": "开户人",
                    "type": "string"
                },
                "address": {
                    "description": "详细地址",
                    "type": "string"
                },
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "bank_account": {
                    "description": "银行账号",
                    "type": "string"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "company_website": {
                    "description": "网站",
                    "type": "string"
                },
                "contact": {
                    "description": "联系人",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "email": {
                    "description": "邮件",
                    "type": "string"
                },
                "id": {
                    "description": "数据库记录编号",
                    "type": "integer"
                },
                "landline": {
                    "description": "固定电话",
                    "type": "string"
                },
                "name": {
                    "description": "供应商名称",
                    "type": "string"
                },
                "number": {
                    "description": "编号",
                    "type": "string"
                },
                "opening_bank": {
                    "description": "开户银行",
                    "type": "string"
                },
                "payment_cycle": {
                    "description": "支付周期",
                    "type": "integer"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "tax_number": {
                    "description": "税号",
                    "type": "string"
                },
                "tel": {
                    "description": "手机号",
                    "type": "string"
                }
            }
        },
        "models.SysCategory": {
            "type": "object",
            "properties": {
                "createBy": {
                    "description": "创建者",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "id": {
                    "description": "分类Id",
                    "type": "integer"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysConfig": {
            "type": "object",
            "properties": {
                "configId": {
                    "description": "编码",
                    "type": "integer"
                },
                "configKey": {
                    "description": "参数键名",
                    "type": "string"
                },
                "configName": {
                    "description": "参数名称",
                    "type": "string"
                },
                "configType": {
                    "description": "是否系统内置",
                    "type": "string"
                },
                "configValue": {
                    "description": "参数键值",
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysContent": {
            "type": "object",
            "properties": {
                "cateId": {
                    "description": "分类id",
                    "type": "string"
                },
                "content": {
                    "description": "内容",
                    "type": "string"
                },
                "createBy": {
                    "description": "创建者",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "id": {
                    "description": "id",
                    "type": "integer"
                },
                "img": {
                    "description": "图片",
                    "type": "string"
                },
                "name": {
                    "description": "名称",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysDept": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysDept"
                    }
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "deptPath": {
                    "type": "string"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "leader": {
                    "description": "负责人",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "parentId": {
                    "description": "上级部门",
                    "type": "integer"
                },
                "phone": {
                    "description": "手机",
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysFileDir": {
            "type": "object",
            "properties": {
                "children": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.SysFileDir"
                    }
                },
                "createBy": {
                    "description": "创建人",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "label": {
                    "description": "名称",
                    "type": "string"
                },
                "pId": {
                    "description": "父id",
                    "type": "integer"
                },
                "params": {
                    "type": "string"
                },
                "path": {
                    "type": "string"
                },
                "sort": {
                    "description": "排序",
                    "type": "integer"
                },
                "updateBy": {
                    "description": "编辑人",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysOperLog": {
            "type": "object",
            "properties": {
                "businessType": {
                    "description": "操作类型",
                    "type": "string"
                },
                "businessTypes": {
                    "type": "string"
                },
                "createBy": {
                    "description": "创建人",
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "description": "数据",
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "jsonResult": {
                    "description": "返回数据",
                    "type": "string"
                },
                "latencyime": {
                    "description": "耗时",
                    "type": "string"
                },
                "menuTitle": {
                    "description": "操作模块",
                    "type": "string"
                },
                "method": {
                    "description": "函数",
                    "type": "string"
                },
                "operId": {
                    "description": "日志编码",
                    "type": "integer"
                },
                "operIp": {
                    "description": "客户端ip",
                    "type": "string"
                },
                "operLocation": {
                    "description": "访问位置",
                    "type": "string"
                },
                "operName": {
                    "description": "操作者",
                    "type": "string"
                },
                "operParam": {
                    "description": "请求参数",
                    "type": "string"
                },
                "operTime": {
                    "description": "操作时间",
                    "type": "string"
                },
                "operUrl": {
                    "description": "访问地址",
                    "type": "string"
                },
                "operatorType": {
                    "description": "操作类型",
                    "type": "string"
                },
                "params": {
                    "description": "参数",
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "requestMethod": {
                    "description": "请求方式",
                    "type": "string"
                },
                "status": {
                    "description": "操作状态",
                    "type": "string"
                },
                "title": {
                    "description": "操作模块-具体事件",
                    "type": "string"
                },
                "updateBy": {
                    "description": "更新者",
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userAgent": {
                    "description": "ua",
                    "type": "string"
                }
            }
        },
        "models.SysRole": {
            "type": "object",
            "properties": {
                "admin": {
                    "type": "boolean"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "flag": {
                    "type": "string"
                },
                "menuIds": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "params": {
                    "type": "string"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "roleKey": {
                    "description": "角色代码",
                    "type": "string"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "roleSort": {
                    "description": "角色排序",
                    "type": "integer"
                },
                "status": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                }
            }
        },
        "models.SysUser": {
            "type": "object",
            "properties": {
                "account_type": {
                    "description": "账号类型:1-管理端",
                    "type": "integer"
                },
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "cooperative_business_id": {
                    "description": "合作商id",
                    "type": "integer"
                },
                "cooperative_name": {
                    "description": "合作商名称",
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "description": "创建时间",
                    "type": "string"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "description": "删除时间",
                    "type": "string"
                },
                "deptId": {
                    "description": "部门编码",
                    "type": "integer"
                },
                "email": {
                    "description": "邮箱",
                    "type": "string"
                },
                "nickName": {
                    "description": "昵称",
                    "type": "string"
                },
                "params": {
                    "type": "string"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "phone": {
                    "description": "手机号",
                    "type": "string"
                },
                "postId": {
                    "description": "职位编码",
                    "type": "integer"
                },
                "remark": {
                    "description": "备注",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色编码",
                    "type": "integer"
                },
                "sales_comm_rate": {
                    "description": "销售提成比例",
                    "type": "number"
                },
                "salt": {
                    "description": "盐",
                    "type": "string"
                },
                "sex": {
                    "description": "性别",
                    "type": "string"
                },
                "status": {
                    "description": "状态",
                    "type": "string"
                },
                "store_data": {
                    "description": "有效门店",
                    "type": "string"
                },
                "store_id": {
                    "description": "门店id",
                    "type": "integer"
                },
                "store_list": {
                    "description": "有效门店列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/models.StoreInfo"
                    }
                },
                "store_name": {
                    "description": "门店名称",
                    "type": "string"
                },
                "uid": {
                    "description": "用户uid todo 待添加",
                    "type": "integer"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "description": "更新时间",
                    "type": "string"
                },
                "userId": {
                    "description": "编码",
                    "type": "integer"
                },
                "username": {
                    "description": "用户名",
                    "type": "string"
                }
            }
        },
        "models.TableData": {
            "type": "object",
            "properties": {
                "DJ": {
                    "description": "商品指导零售价",
                    "type": "integer"
                },
                "JE": {
                    "description": "商品指导零售价乘以销售数量",
                    "type": "integer"
                },
                "SL": {
                    "description": "销售数量",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "models.TelListReq": {
            "type": "object",
            "required": [
                "phone_num"
            ],
            "properties": {
                "pageIndex": {
                    "description": "页码",
                    "type": "integer"
                },
                "pageSize": {
                    "description": "页面条数",
                    "type": "integer"
                },
                "phone_num": {
                    "type": "string"
                }
            }
        },
        "tools.Params": {
            "type": "object",
            "properties": {
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                }
            }
        },
        "tools.SysColumns": {
            "type": "object",
            "properties": {
                "columnComment": {
                    "type": "string"
                },
                "columnId": {
                    "type": "integer"
                },
                "columnName": {
                    "type": "string"
                },
                "columnType": {
                    "type": "string"
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "dictType": {
                    "type": "string"
                },
                "edit": {
                    "type": "boolean"
                },
                "fkCol": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "fkLabelId": {
                    "type": "string"
                },
                "fkLabelName": {
                    "type": "string"
                },
                "fkTableName": {
                    "type": "string"
                },
                "fkTableNameClass": {
                    "type": "string"
                },
                "fkTableNamePackage": {
                    "type": "string"
                },
                "goField": {
                    "type": "string"
                },
                "goType": {
                    "type": "string"
                },
                "htmlType": {
                    "type": "string"
                },
                "increment": {
                    "type": "boolean"
                },
                "insert": {
                    "type": "boolean"
                },
                "isEdit": {
                    "type": "string"
                },
                "isIncrement": {
                    "type": "string"
                },
                "isInsert": {
                    "type": "string"
                },
                "isList": {
                    "type": "string"
                },
                "isPk": {
                    "type": "string"
                },
                "isQuery": {
                    "type": "string"
                },
                "isRequired": {
                    "type": "string"
                },
                "jsonField": {
                    "type": "string"
                },
                "list": {
                    "type": "string"
                },
                "pk": {
                    "type": "boolean"
                },
                "query": {
                    "type": "boolean"
                },
                "queryType": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "required": {
                    "type": "boolean"
                },
                "sort": {
                    "type": "integer"
                },
                "superColumn": {
                    "type": "boolean"
                },
                "tableId": {
                    "type": "integer"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                },
                "usableColumn": {
                    "type": "boolean"
                }
            }
        },
        "tools.SysTables": {
            "type": "object",
            "properties": {
                "businessName": {
                    "type": "string"
                },
                "className": {
                    "description": "类名",
                    "type": "string"
                },
                "columns": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/tools.SysColumns"
                    }
                },
                "createBy": {
                    "type": "string"
                },
                "createdAt": {
                    "type": "string"
                },
                "crud": {
                    "type": "boolean"
                },
                "dataScope": {
                    "type": "string"
                },
                "deletedAt": {
                    "type": "string"
                },
                "functionAuthor": {
                    "description": "功能作者",
                    "type": "string"
                },
                "functionName": {
                    "description": "功能名称",
                    "type": "string"
                },
                "isActions": {
                    "type": "integer"
                },
                "isAuth": {
                    "type": "integer"
                },
                "isDataScope": {
                    "type": "integer"
                },
                "isLogicalDelete": {
                    "type": "string"
                },
                "logicalDelete": {
                    "type": "boolean"
                },
                "logicalDeleteColumn": {
                    "type": "string"
                },
                "moduleName": {
                    "description": "模块名",
                    "type": "string"
                },
                "options": {
                    "type": "string"
                },
                "packageName": {
                    "description": "包名",
                    "type": "string"
                },
                "params": {
                    "$ref": "#/definitions/tools.Params"
                },
                "pkColumn": {
                    "type": "string"
                },
                "pkGoField": {
                    "type": "string"
                },
                "pkJsonField": {
                    "type": "string"
                },
                "remark": {
                    "type": "string"
                },
                "tableComment": {
                    "description": "表备注",
                    "type": "string"
                },
                "tableId": {
                    "description": "表编码",
                    "type": "integer"
                },
                "tableName": {
                    "description": "表名称",
                    "type": "string"
                },
                "tplCategory": {
                    "type": "string"
                },
                "tree": {
                    "type": "boolean"
                },
                "treeCode": {
                    "type": "string"
                },
                "treeName": {
                    "type": "string"
                },
                "treeParentCode": {
                    "type": "string"
                },
                "updateBy": {
                    "type": "string"
                },
                "updatedAt": {
                    "type": "string"
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "",
	Host:             "",
	BasePath:         "",
	Schemes:          []string{},
	Title:            "",
	Description:      "",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
	LeftDelim:        "{{",
	RightDelim:       "}}",
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
